using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Spaces;
using Spaces.Controls;
public partial class Manage_ViewTheme : ManagePage
{
    protected void Page_Load(object sender, EventArgs e)
    {
     
        if (!IsPostBack)
            BindView();
    }

    private void BindView()
    {
        string sql = "SELECT Theme as ThemeName,count(*) as totalCount FROM User_UserConfig group by Theme order by totalCount desc";
        DataView dv = SpacesDataProvider.Instance().GetDataView(sql);
        ThemeView.DataSource = dv;
        ThemeView.DataBind();
        txtThemeDesc.Text = string.Format("本站共有皮肤{0}个",Globals.GetThemes().ThemeList.Count);
    }
}
